diff --git a/man2html b/man2html
new file mode 100644
index 0000000..9697f51
--- /dev/null
+++ b/man2html
@@ -0,0 +1,12 @@
+#!/bin/sh
+
+file=$(man -w $@) || exit
+
+if gzip -t $file
+then
+ zcat $file
+else
+ cat $file
+fi | groff -mandoc -T html
+
+# % man2html ls > ls_manpage.html
\ No newline at end of file